﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Notatnik.NET
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void nowyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bool czyUsunąć = true;
            if (!string.IsNullOrEmpty(textBox1.Text))
            {
                DialogResult dr = MessageBox.Show(
                    "Czy jesteś pewien, że chcesz usunąć bieżący tekst?",
                    Text,
                    MessageBoxButtons.YesNo,
                    MessageBoxIcon.Question);
                czyUsunąć = dr == DialogResult.Yes;
            }
            if(czyUsunąć) textBox1.Clear();
        }

        string ścieżkaPliku = null;

        private void otwórzToolStripMenuItem_Click(object sender, EventArgs e)
        {
            openFileDialog1.FileName = ścieżkaPliku;
            if(openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                textBox1.Lines = File.ReadAllLines(openFileDialog1.FileName);
                ścieżkaPliku = openFileDialog1.FileName;
            }
        }
    }
}
